Cant compile 3.1.5 with webview2

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
diogom12
Earned a small fee
Earned a small fee
Posts: 24
Joined: Sat Jun 13, 2020 6:07 am

Cant compile 3.1.5 with webview2

Post by diogom12 » Mon May 17, 2021 6:45 pm

Hi, im trying to compile the new 3.1.5 version with webview2, I got the nuget package, extracted to 3rdparty\webview2\ and enabled wxUSE_WEBVIEW_EDGE in setup.h , but when trying to compile with clang it doesnt find the webview2.h.

Do I need any specific flags to compile it? I can see that the correct path (/DWXMAKINGDLL_WEBVIEW /I..\..\3rdparty\webview2\build\native\include) is on the makefile.vc but it doesnt work..

New Pagodi
Super wx Problem Solver
Super wx Problem Solver
Posts: 392
Joined: Tue Jun 20, 2006 6:47 pm
Contact:

Re: Cant compile 3.1.5 with webview2

Post by New Pagodi » Mon May 17, 2021 6:55 pm

I think the new webview backend only builds with visual c.

diogom12
Earned a small fee
Earned a small fee
Posts: 24
Joined: Sat Jun 13, 2020 6:07 am

Re: Cant compile 3.1.5 with webview2

Post by diogom12 » Mon May 17, 2021 7:00 pm

I think the issue is the mono lib, I tried to compile with MONOLITHIC=0 now and it worked.

diogom12
Earned a small fee
Earned a small fee
Posts: 24
Joined: Sat Jun 13, 2020 6:07 am

Re: Cant compile 3.1.5 with webview2

Post by diogom12 » Mon May 17, 2021 7:08 pm

its very likely to be a makefile issue not adding the correct flags for webview when compiling mono lib

PB
Part Of The Furniture
Part Of The Furniture
Posts: 3062
Joined: Sun Jan 03, 2010 5:45 pm

Re: Cant compile 3.1.5 with webview2

Post by PB » Mon May 17, 2021 7:21 pm

I have reported the issue with monolithic build some time ago, it is broken for both GCC and MSVC makefiles:
https://trac.wxwidgets.org/ticket/19104

If you really need monolithic build, I would recommend using CMake to build wxWidgets, it is easy to do.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 5224
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: Cant compile 3.1.5 with webview2

Post by ONEEYEMAN » Mon May 17, 2021 9:08 pm

Hi,
I would not recommend MONOLITHIC builds unless you plan to work on Code::Blocks IDE itself.

Thank you.

diogom12
Earned a small fee
Earned a small fee
Posts: 24
Joined: Sat Jun 13, 2020 6:07 am

Re: Cant compile 3.1.5 with webview2

Post by diogom12 » Tue May 18, 2021 5:20 pm

I was just using to have less files on my repo, already changed..

Post Reply